Subject: Re: uudecode?
From: [email-masked] (John Cooper)

19 Jan 1999 12:12:59 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
To: Bernard Dautrevaux <[email-masked]>
Cc: "'John Cooper'" <[email-masked]>, [email-masked],
        [email-masked]

Bernard Dautrevaux <[email-masked]> writes:

 > I'm not sure, but I'll bet that you have to sligthly change the uudecode
 > source code to ensure that the open of the output file is done in binary
 > mode : open(... O_BINARY) or fopen(..., "wb")). Your problem is most surely
 > this infamous text!=binary feature :-( of Losedows...

It already does this - is there a known problem with `fopen'?  Do I need to use
`open' instead?

4 lines matching "open" in buffer uudecode.c.
    9:    FILE *out, *in = fopen(fname, "rb");
   11:        fprintf(stderr,"Impossible to open %s\n",fname);
   33:    out = fopen(outname, "wb");
   35:        fprintf(stderr,"Impossible to open %s\n",outname);

1 line matching "open" in buffer uuencode.c.
   10:    if ((in = fopen(nom, "rb")) == NULL)

    --- John

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".